ComponentSpec (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.platform.base

## Interface ComponentSpec

- All Superinterfaces:
    `ModelElement`, `Named`
  All Known Subinterfaces:
    `ApplicationBinarySpec`, `ApplicationSpec`, `AssemblerSourceSet`, `BinarySpec`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ClassDirectoryBinarySpec`, `CoffeeScriptSourceSet`, `CppSourceSet`, `CSourceSet`, `CUnitTestSuiteBinarySpec`, `CUnitTestSuiteSpec`, `DependentSourceSet`, `DependentSourceSet`, `GeneralComponentSpec`, `GoogleTestTestSuiteBinarySpec`, `GoogleTestTestSuiteSpec`, `HeaderExportingSourceSet`, `JarBinarySpec`, `JavaScriptSourceSet`, `JavaSourceSet`, `JUnitTestSuiteBinarySpec`, `JUnitTestSuiteSpec`, `JvmBinarySpec`, `JvmClasses`, `JvmComponentSpec`, `JvmLibrarySpec`, `JvmResourceSet`, `JvmTestSuiteBinarySpec`, `JvmTestSuiteSpec`, `LanguageSourceSet`, `LibraryBinarySpec`, `LibrarySpec`, `NativeBinarySpec`, `NativeComponentSpec`, `NativeExecutableBinarySpec`, `NativeExecutableSpec`, `NativeLibraryBinarySpec`, `NativeLibrarySpec`, `NativeResourceSet`, `NativeTestSuiteBinarySpec`, `NativeTestSuiteSpec`, `ObjectiveCppSourceSet`, `ObjectiveCSourceSet`, `PlatformAwareComponentSpec`, `PlayApplicationBinarySpec`, `PlayApplicationSpec`, `PlayPlatformAwareComponentSpec`, `PublicAssets`, `RoutesSourceSet`, `ScalaLanguageSourceSet`, `SharedLibraryBinarySpec`, `SourceComponentSpec`, `StaticLibraryBinarySpec`, `TargetedNativeComponent`, `TestSuiteBinarySpec`, `TestSuiteSpec`, `TwirlSourceSet`, `VariantComponentSpec`, `WindowsResourceSet`
  All Known Implementing Classes:
    `org.gradle.api.internal.AbstractBuildableComponentSpec`, `org.gradle.platform.base.component.internal.AbstractComponentSpec`, `org.gradle.language.base.internal.AbstractLanguageSourceSet`, `BaseBinarySpec`, `BaseComponentSpec`, `BaseLanguageSourceSet`, `org.gradle.platform.base.component.internal.DefaultComponentSpec`

      @Incubating
      public interface ComponentSpec
      extends ModelElement

  A software component that is built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getProjectPath()` | The path to the project containing this component.

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getProjectPath

          String getProjectPath()

      The path to the project containing this component.